Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.transaction.interceptor
Class NoRollbackRuleAttribute

    java.lang.Object
      org.springframework.transaction.interceptor.RollbackRuleAttribute
          org.springframework.transaction.interceptor.NoRollbackRuleAttribute

All Implemented Interfaces:
  Serializable

    public class NoRollbackRuleAttribute

extends RollbackRuleAttribute

Tag subclass of RollbackRule. Its class name means that it has the opposite behavior to the RollbackRule superclass.

Since:
  09.04.2003
Author:
  Rod Johnson
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.springframework.transaction.interceptor.RollbackRuleAttribute
`ROLLBACK_ON_RUNTIME_EXCEPTIONS`

Constructor Summary
`NoRollbackRuleAttribute(Class clazz)` Construct a new NoRollbackRule for the given throwable class.
`NoRollbackRuleAttribute(String exceptionName)` Construct a new NoRollbackRule for the given exception name.

Method Summary
`String` | `toString()`

Methods inherited from class org.springframework.transaction.interceptor.RollbackRuleAttribute
`equals, getDepth, getExceptionName, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoRollbackRuleAttribute

    public NoRollbackRuleAttribute(Class clazz)

  Construct a new NoRollbackRule for the given throwable class.

  Parameters:
    `clazz` - throwable class

### NoRollbackRuleAttribute

    public NoRollbackRuleAttribute(String exceptionName)

  Construct a new NoRollbackRule for the given exception name. This can be a substring, with no wildcard support at present. A value of "ServletException" would match ServletException and subclasses, for example.

  Parameters:
    `exceptionName` - the exception pattern

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `RollbackRuleAttribute`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.